Subject: Re: bug#48446: 28.0.50; Native compile failure during bootstrap

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 May 2021 21:21:04 +0300

> Date: Sat, 15 May 2021 21:08:14 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> I think I succeeded to fix this now, but I'd still like to know
> why the original code was wrong and how to avoid that in the future.

I think I know the answer: with natively-compiled Lisp, we can only
call Lisp from init functions registered with
pdumper_do_now_and_after_late_load, because the *.eln files are not
loaded when functions registered with pdumper_do_now_and_after_load
are run.  Andrea, is that conclusion correct?